[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCustomConnection.AfterDisconnect

Event triggered after a connection is closed

## Declaration

Source position: db.pas line 2040

`published property TCustomConnection.AfterDisconnect : TNotifyEvent read FAfterDisconnect write SetAfterDisconnect;`

## Description

AfterDisConnect is called after a connection is successfully closed in TCustomConnection.Close. It can be used for instance to indicate a connection status change.

## See also

TCustomConnection.Close |  | Close the connection
TCustomConnection.BeforeDisconnect |  | Event triggered before a connection is closed